libqtdee-dev_0.2.4-0ubuntu1_i386.deb


Advertisement

Description

libqtdee-dev - Qt binding and QML plugin for Dee - development files

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libqtdee-dev
Package version 0.2.4
Package release 0ubuntu1
Package architecture i386
Package type deb
Installed size 45 B
Download size 2.69 KB
Official Mirror archive.ubuntu.com
Simple Qt binding and QML plugin for Dee (https://launchpad.net/dee).
This package contains the developer headers for the Qt binding for Dee

Alternatives

Package Version Architecture Repository
libqtdee-dev_0.2.4-0ubuntu1_amd64.deb 0.2.4 amd64 Ubuntu Universe
libqtdee-dev - - -

Requires

Name Value
libqt4-dev >= 4.7
libqtdee2 = 0.2.4-0ubuntu1

Replaces

Name Value
libqtdee -
libqtdee1 << 0.0-ubuntu1~bzr17

Download

Type URL
Binary Package libqtdee-dev_0.2.4-0ubuntu1_i386.deb
Source Package libqtdee

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqtdee-dev deb package:
    # sudo apt-get install libqtdee-dev

Files

Path
/usr/include/QtDee/deelistmodel.h
/usr/lib/libQtDee.so
/usr/lib/pkgconfig/libqtdee.pc
/usr/share/doc/libqtdee-dev/changelog.Debian.gz
/usr/share/doc/libqtdee-dev/copyright

Changelog

2012-02-17 - Didier Roche <didrocks@ubuntu.com>
libqtdee (0.2.4-0ubuntu1) precise; urgency=low
* New upstream release:
- add new method that makes libqtdee able to handle local models
2012-01-12 - Didier Roche <didrocks@ubuntu.com>
libqtdee (0.2.3-0ubuntu2) precise; urgency=low
* debian/control:
- depends on latest libdee (ABI bump)
* debian/source:
- remove source 3, doesn't play well with merge-upstream
2011-07-28 - Didier Roche <didrocks@ubuntu.com>
libqtdee (0.2.3-0ubuntu1) oneiric; urgency=low
[ Florian Boucault ]
* debian/libqtdee2.symbols
- added symbols introduced by new APIs in version 0.2.2
QVariantMap DeeListModel::get(int) and int DeeListModel::count()
- marked as optional all weak symbols that are not part of the library
- added optional weak symbol introduced by Oneiric's Qt
- removed private symbols
* use -fvisibility=hidden in build to hide all private symbols
* add -Wall compilation flag and fixed all warnings
* add -std=c++0x compilation flag
2011-03-23 - Oliver Grawert <ogra@ubuntu.com>
libqtdee (0.2.2-0ubuntu1) natty; urgency=low
* New upstream bugfix release
2011-03-15 - Oliver Grawert <ogra@ubuntu.com>
libqtdee (0.2.1-0ubuntu1) natty; urgency=low
* New upstream bugfix release
2011-02-21 - Oliver Grawert <ogra@ubuntu.com>
libqtdee (0.2-0ubuntu1) natty; urgency=low
[ Oliver Grawert ]
* New Upstream version
* change Conflicts to Breaks in debian/control
[ Florian Boucault ]
* Upstream changes: use libdee's API instead of dee's private D-Bus API.
* debian/libqtdee1.symbols: updated symbols and fixed lintian warning
symbols-file-contains-current-version-with-debian-revision by removing
Debian revisions.
2011-01-21 - Oliver Grawert <ogra@ubuntu.com>
libqtdee (0.1-0ubuntu3) natty; urgency=low
* add Vcs-Bzr location to debian/control
* update branch location in debian/copyright
2011-01-14 - Michael Casadevall <mcasadevall@ubuntu.com>
libqtdee (0.1-0ubuntu2) natty; urgency=low
* Add symbol files to prevent ABI skew
2011-01-14 - Michael Casadevall <mcasadevall@ubuntu.com>
libqtdee (0.1-0ubuntu1) natty; urgency=low
* Initial Release (LP: #702919)

See Also

Package Description
libqtdee2_0.2.4-0ubuntu1_i386.deb Qt binding and QML plugin for Dee - shared library
libqtdee3_3.3+14.04.20140317-0ubuntu2~gcc5.1_i386.deb QtQuick1 plugin for Dee
libqtermwidget5-0-dev_0.8.0-5_i386.deb Terminal emulator widget for Qt 5 (development files)
libqtermwidget5-0_0.8.0-5_i386.deb Terminal emulator widget for Qt 5 (shared libraries)
libqtexengine-dev_0.3-3_i386.deb Development files for the QTeXEngine library
libqtexengine1_0.3-3_i386.deb Library to export graphics created using QPainter to TeX
libqtgconf-dev_0.1-0ubuntu5_i386.deb Qt binding and QML plugin for GConf - development files
libqtgconf1_0.1-0ubuntu5_i386.deb Qt binding and QML plugin for GConf - shared library
libqtgui4-perl_4.14.1-0ubuntu11_i386.deb perl bindings for the Qt Gui library
libqtgui4_4.8.7+dfsg-7ubuntu1_i386.deb Qt 4 GUI module
libqtkeychain1_0.7.0-3_i386.deb Qt API to store passwords
libqtnetwork4-perl_4.14.1-0ubuntu11_i386.deb perl bindings for the Qt Network library
libqtpropertybrowser-dev_4.0.4-2ubuntu4_i386.deb Qt Property Browser Library - development
libqtpropertybrowser4_4.0.4-2ubuntu4_i386.deb Qt Property Browser Library - runtime
libqtscript4-core_0.2.0-1build1_i386.deb QtScript bindings for the Qt 4 Core library
Advertisement
Advertisement